Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Version

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Version

Annotation for the versioning of the class. Corresponds to the xml element "version" of the "class" and "property" elements.

Since:
  2.1
Version:
  2.1

Optional Element Summary
`java.lang.String` | `column` Name of the column for the version.
`Column[]` | `columns` The column(s) making up the version.
`java.lang.String` | `customStrategy` Custom strategy for versioning of objects of this class.
`Extension[]` | `extensions` Vendor extensions.
`java.lang.String` | `indexed` Whether the version column(s) is(are) indexed.
`VersionStrategy` | `strategy` Strategy for versioning of objects of this class.

### strategy

    public abstract VersionStrategy strategy

  Strategy for versioning of objects of this class.

  Returns:
    the strategy for versioning objects of this class
  Default:
    javax.jdo.annotations.VersionStrategy.UNSPECIFIED

### customStrategy

    public abstract java.lang.String customStrategy

  Custom strategy for versioning of objects of this class. If customStrategy is non-empty, strategy must be UNSPECIFIED.

  Returns:
    the custom strategy for versioning objects of this class
  Default:
    ""

### column

    public abstract java.lang.String column

  Name of the column for the version.

  Returns:
    the name of the column for the version
  Default:
    ""

### indexed

    public abstract java.lang.String indexed

  Whether the version column(s) is(are) indexed.

  Returns:
    whether the version column(s) is(are) indexed
  Default:
    ""

### columns

    public abstract Column[] columns

  The column(s) making up the version.

  Returns:
    the column(s) making up the version
  Default:
    {}

### extensions

    public abstract Extension[] extensions

  Vendor extensions.

  Returns:
    the vendor extensions
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.